## gfal2 2.15.2

=== CMakeLists.txt ===
## cmake build script for srm-ifce
project (gfal2)
cmake_minimum_required (VERSION 2.6)
message ("cmake source dir : ${CMAKE_SOURCE_DIR}")

# default set of options
set (MAIN_CORE      TRUE CACHE STRING "enable compilation of the main library")
set (MAIN_TRANSFER  TRUE CACHE STRING "enable compilation of the transfer library")
set (PLUGIN_LFC     TRUE CACHE STRING "enable compilation of the lfc plugin")
set (PLUGIN_SFTP    TRUE CACHE STRING "enable compilation of the sftp plugin")
set (PLUGIN_SRM     TRUE CACHE STRING "enable compilation of the srm plugin")
set (PLUGIN_RFIO    TRUE CACHE STRING "enable compilation of the RFIO plugin")
set (PLUGIN_DCAP    TRUE CACHE STRING "enable compilation of the DCAP plugin")
set (PLUGIN_FILE    TRUE CACHE STRING "enable compilation of the local File plugin")
set (PLUGIN_GRIDFTP TRUE CACHE STRING "enable compilation of the GRIDFTP plugin")
set (PLUGIN_HTTP    TRUE CACHE STRING "enable compilation of the HTTP plugin")
set (PLUGIN_XROOTD  TRUE CACHE STRING "enable compilation of the XROOTD plugin")
set (PLUGIN_MOCK    FALSE CACHE STRING "enable compilation of the MOCK plugin")

# build type
set (CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "type of build")

set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")

# load modules
include(DefineInstallationPaths REQUIRED)
include(MacroCopyFile REQUIRED)
include(ReleaseDebugAutoFlags REQUIRED)
include(CMakeGeneratePkgConfig REQUIRED)
include(MacroAddDoxygen REQUIRED)
include(CMakeCXX11Support REQUIRED)

# Enable C++11 support
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX11_FLAG_ENABLE}")

# enable testing
include (CTest)

#define PROJECT vars
set (PROJECT_NAME_MAIN "gfal2")
set (OUTPUT_NAME_MAIN "gfal2")

set (PROJECT_NAME_TRANSFER "gfal_transfer")
set (OUTPUT_NAME_TRANSFER "gfal_transfer")

set (VERSION_MAJOR  2)
set (VERSION_MINOR  15)
set (VERSION_PATCH  2)
set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

add_definitions(-DVERSION="${VERSION_STRING}")

# out of project test compilation
set (ONLY_TESTS FALSE CACHE STRING "build only the tests")
set (SKIP_TESTS FALSE CACHE STRING "skip the tests")

# libs checks
find_package (GLIB2 REQUIRED)
find_package (GTHREAD2 REQUIRED)
find_package (JSONC REQUIRED)

# include directories
include_directories (${GLIB2_INCLUDE_DIRS})
include_directories (${GTHREAD2_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/src/core)
include_directories (${CMAKE_SOURCE_DIR}/src/utils)

# Core and plugins
if (NOT ONLY_TESTS)

    # general parameters for configuration
    add_definitions ( -DGFAL_PLUGIN_DIR_DEFAULT="${PLUGIN_INSTALL_DIR}" )
    add_definitions ( -DGFAL_CONFIG_DIR_DEFAULT="${SYSCONF_INSTALL_DIR}" )
    # add file offset 64 for 32 bits
    add_definitions ( -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_GNU_SOURCE)

    #install doc license
    install (FILES "LICENSE" "README.md" "RELEASE-NOTES" "DESCRIPTION" "readme.html"
			 DESTINATION ${DOC_INSTALL_DIR})

    # install global configuration files
    list (APPEND lst_conf_files
        "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/gfal2_core.conf"
        "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/bdii.conf"
        "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/x509.conf")
    install (FILES ${lst_conf_files}
             DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

    add_subdirectory (doc)
    add_subdirectory (src)

endif (NOT ONLY_TESTS)

if (NOT SKIP_TESTS)
    add_subdirectory (test)
endif (NOT SKIP_TESTS)

=== src/utils/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

# Dependencies
if (IS_IFCE)
    list (APPEND gfal2_utils_definitions "-DMDS_BDII_EXTERNAL=1")
    set (is_ifce_link "is_ifce")
    list (APPEND src_mds "${CMAKE_CURRENT_SOURCE_DIR}/mds/gfal_mds.c")
else (IS_IFCE)
    list (APPEND gfal2_utils_definitions "-DMDS_BDII_EXTERNAL=0")
    list (APPEND is_ifce_link "ldap_r" "lber")
    list (APPEND src_mds
        "${CMAKE_CURRENT_SOURCE_DIR}/mds/gfal_mds.c"
        "${CMAKE_CURRENT_SOURCE_DIR}/mds/gfal_mds_internal.c"
        "${CMAKE_CURRENT_SOURCE_DIR}/mds/gfal_mds_ldap_internal_layer.c"
    )
endif (IS_IFCE)

find_package (PugiXML)
if (NOT PUGIXML_FOUND)
    message ("PugiXML not found. MDS Cache disabled")
    list (APPEND gfal2_utils_definitions "-DMDS_WITHOUT_CACHE=1")
    set (mds_cache_link "")
else (NOT PUGIXML_FOUND)
    list (APPEND src_mds
        "${CMAKE_CURRENT_SOURCE_DIR}/mds/gfal_mds_cache.cpp"
    )
    set (mds_cache_link "${PUGIXML_LIBRARIES}")
endif (NOT PUGIXML_FOUND)

# Link
list (APPEND gfal2_utils_libraries
    ${is_ifce_link}
    ${mds_cache_link}
    ${JSONC_LIBRARIES}
)

# Sources
file (GLOB src_exceptions   "${CMAKE_CURRENT_SOURCE_DIR}/exceptions/*.c*")
file (GLOB src_gsimplecache "${CMAKE_CURRENT_SOURCE_DIR}/gsimplecache/*.c*")
file (GLOB src_uri          "${CMAKE_CURRENT_SOURCE_DIR}/uri/*.c*")
file (GLOB src_checksums    "${CMAKE_CURRENT_SOURCE_DIR}/checksums/*.c*")
file (GLOB src_space        "${CMAKE_CURRENT_SOURCE_DIR}/space/*.c")

list (APPEND gfal2_utils_src ${src_exceptions})

list (APPEND gfal2_utils_c_src
    ${src_gsimplecache}
    ${src_uri}
    ${src_checksums}
    ${src_mds}
    ${src_space}
)

set (gfal2_utils_c_src ${gfal2_utils_c_src} PARENT_SCOPE)
set (gfal2_utils_src ${gfal2_utils_src} PARENT_SCOPE)
set (gfal2_utils_libraries ${gfal2_utils_libraries} PARENT_SCOPE)
set (gfal2_utils_definitions ${gfal2_utils_definitions} PARENT_SCOPE)
set (gfal2_utils_includes ${JSONC_INCLUDE_DIRS} PARENT_SCOPE)

# Install public headers
install (FILES "uri/gfal2_uri.h"
         DESTINATION ${INCLUDE_INSTALL_DIR}/gfal2/utils)

=== test/common/CMakeLists.txt ===
add_library(gfal2_test_shared SHARED gfal_lib_test.c gfal_gtest_asserts.cpp)
target_link_libraries (gfal2_test_shared ${GFAL2_LIBRARIES} ${GTEST_LIBRARIES} ${JSONC_LIBRARIES})

if (FUNCTIONAL_TESTS)
    install (TARGETS gfal2_test_shared LIBRARY
        DESTINATION ${LIB_INSTALL_DIR})
endif ()

=== test/stress-test/CMakeLists.txt ===
FILE(GLOB src_loadtest "gfalt_copyfile_fts_style_load_test.c")

IF (STRESS_TESTS)

        include_directories( "${CMAKE_SOURCE_DIR}/src "  "${CMAKE_SOURCE_DIR}/src/posix/"
                    ${GLIB2_PKG_INCLUDE_DIRS} ${NETTLE_PKG_INCLUDE_DIRS} )

        add_executable(fts_seq_copy_files	${src_loadtest})
        target_link_libraries(fts_seq_copy_files ${GFAL2_TRANSFER_LINK} ${GFAL2_LINK} gfal2_test_shared)
	
ENDIF  (STRESS_TESTS)

=== src/plugins/file/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)


if (PLUGIN_FILE)
    file (GLOB src_file "*.c*")

    find_package (ZLIB REQUIRED)

    include_directories(${ZLIB_INCLUDE_DIRS})


    add_library (plugin_file MODULE ${src_file} ${gfal2_src_checksum})
    target_link_libraries (plugin_file gfal2 ${ZLIB_LIBRARIES})


    set_target_properties(plugin_file   PROPERTIES
                                LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/src
								CLEAN_DIRECT_OUTPUT 1
								OUTPUT_NAME "gfal_plugin_file"
								LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    install(TARGETS		plugin_file
	        LIBRARY		DESTINATION ${PLUGIN_INSTALL_DIR} )
	    
    install(FILES		"README_PLUGIN_FILE"
	    	DESTINATION ${DOC_INSTALL_DIR})	    

endif (PLUGIN_FILE)

=== src/plugins/gridftp/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

if (PLUGIN_GRIDFTP)
    file (GLOB_RECURSE src_gridftp "*.c*")

    find_package (Globus_FTP_CLIENT REQUIRED)
    find_package (Globus_FTP_CONTROL REQUIRED)
    find_package (Globus_GASS_COPY REQUIRED)
    find_package (Globus_COMMON REQUIRED)
    find_package (Globus_GSS_ASSIST REQUIRED)
    find_package (Globus_GSSAPI_GSI REQUIRED)

    add_definitions( ${GLOBUS_GASS_COPY_CFLAGS})
    add_library (plugin_gridftp MODULE ${src_gridftp})

    target_link_libraries(plugin_gridftp gfal2 gfal2_transfer
                          ${GLOBUS_FTP_CLIENT_LIBRARIES}
                          ${GLOBUS_FTP_CONTROL_LIBRARIES}
			              ${GLOBUS_GASS_COPY_LIBRARIES}
                          ${GLOBUS_GSSAPI_GSI}
                          ${GLOBUS_COMMON_LIBRARIES}
                          ${GLOBUS_GSS_ASSIST_LIBRARIES}
                          ${GLOBUS_GSSAPI_GSI_LIBRARIES})

    include_directories(${GLOBUS_GASS_COPY_INCLUDE_DIRS}) 

    set_target_properties(plugin_gridftp    PROPERTIES
								LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/src
								CLEAN_DIRECT_OUTPUT 1
								OUTPUT_NAME "gfal_plugin_gridftp"
								LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)



    install(TARGETS		plugin_gridftp
	        LIBRARY		DESTINATION ${PLUGIN_INSTALL_DIR} )
	    
    install(FILES		"README_PLUGIN_GRIDFTP"
	    	DESTINATION ${DOC_INSTALL_DIR})	    

    # install gsiftp configuration files
    LIST(APPEND gsiftp_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/gsiftp_plugin.conf")
    install(FILES ${gsiftp_conf_file}
                        DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

endif (PLUGIN_GRIDFTP)

=== src/plugins/rfio/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)


if (PLUGIN_RFIO)
    file (GLOB src_rfio "*.c*")

    find_package (DPM REQUIRED)
    include_directories (${DPM_INCLUDE_DIR})
    add_definitions(${DPM_CFLAGS})

    add_library (plugin_rfio MODULE ${src_rfio})

    target_link_libraries (plugin_rfio gfal2 ${DPM_LIBRARIES})

    set_target_properties(plugin_rfio PROPERTIES
                            CLEAN_DIRECT_OUTPUT 1
                            OUTPUT_NAME "gfal_plugin_rfio"
                            LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    install(TARGETS plugin_rfio
            LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})
    install(FILES "README_PLUGIN_RFIO"
            DESTINATION ${DOC_INSTALL_DIR})


    # install rfio configuration files
    LIST(APPEND rfio_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/rfio_plugin.conf")
    install(FILES ${rfio_conf_file}
                        DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

endif (PLUGIN_RFIO)

=== src/plugins/srm/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)


if (PLUGIN_SRM)
    file (GLOB src_srm "*.c*")

    find_package (SRM_IFCE REQUIRED)
    find_package (Globus_COMMON)
    find_package (Globus_GSSAPI_GSI REQUIRED)
    find_package (Globus_GSS_ASSIST REQUIRED)

    add_definitions (${SRM_IFCE_CFLAGS} ${GLOBUS_GSSAPI_GSI_CFLAGS})
    include_directories (${SRM_IFCE_INCLUDE_DIR} ${GLOBUS_GSSAPI_GSI_INCLUDE_DIRS})

    add_library(plugin_srm MODULE ${src_srm})
    target_link_libraries(plugin_srm
        gfal2
        gfal2_transfer
        ${SRM_IFCE_LIBRARIES}
        ${GLOBUS_COMMON_LIBRARIES}
        ${GLOBUS_GSSAPI_GSI_LIBRARIES}
        ${GLOBUS_GSS_ASSIST_LIBRARIES}
    )

    set_target_properties(plugin_srm PROPERTIES
                            CLEAN_DIRECT_OUTPUT 1
                            OUTPUT_NAME "gfal_plugin_srm"
                            LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    install(TARGETS plugin_srm
            LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})
    install(FILES "README_PLUGIN_SRM"
            DESTINATION ${DOC_INSTALL_DIR})


    # install srm configuration files
    list (APPEND srm_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/srm_plugin.conf")
    install(FILES ${srm_conf_file}
            DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

endif (PLUGIN_SRM)

=== src/plugins/xrootd/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

if (PLUGIN_XROOTD)

    find_package(XROOTD REQUIRED)

    include_directories(${XROOTD_INCLUDE_DIR})

    file (GLOB src_xrootd "*.cpp")

    add_library (plugin_xrootd MODULE ${src_xrootd})
    add_library (plugin_xrootd_static STATIC ${src_xrootd})
    
    target_link_libraries (plugin_xrootd
        ${GFAL2_PKG_LIBRARIES}
        gfal2_transfer
        ${XROOTD_LIBRARIES}
    )
    target_link_libraries(plugin_xrootd_static
        ${GFAL2_PKG_LIBRARIES}
        gfal2_transfer
        ${XROOTD_LIBRARIES}
    )
    
    set_target_properties(plugin_xrootd PROPERTIES
                          CLEAN_DIRECT_OUTPUT 1
                          OUTPUT_NAME "gfal_plugin_xrootd"
                          LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    install(TARGETS plugin_xrootd
            LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})

    # install xrootd configuration files
    list (APPEND xrootd_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/xrootd_plugin.conf")
    install(FILES ${xrootd_conf_file}
            DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)
            
    # readme
    install(FILES "README_PLUGIN_XROOTD"
            DESTINATION ${DOC_INSTALL_DIR})

endif ()

=== test/unit/global/CMakeLists.txt ===

add_executable(gfal2_test_exe "global_test.cpp" ${gfal2_utils_src})

target_link_libraries(gfal2_test_exe
    ${GFAL2_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
)

add_test(gfal2_test_exe gfal2_test_exe)

=== test/unit/uri/CMakeLists.txt ===

add_executable(g_test_uri_exe "test_uri.cpp")

target_link_libraries(g_test_uri_exe
    ${GFAL2_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES}
)

add_test(g_test_uri g_test_uri_exe )

=== debian/changelog ===
gfal2 (2.15.2-1) unstable; urgency=medium

  * New upstream release
  * Migrate to dbgsym packages

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Feb 2018 09:29:13 +0100

=== debian/control ===
Source: gfal2
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper (>= 9), cmake, doxygen, libglib2.0-dev, libattr1-dev, libldap2-dev, uuid-dev, zlib1g-dev, liblfc-dev, libdpm-dev, srm-ifce-dev (>= 1.23.1), dcap-dev, libglobus-gass-copy-dev, davix-dev (>= 0.4.2), libjson-c-dev, libssh2-1-dev, pkg-config, libgtest-dev
Standards-Version: 4.1.3
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/gfal2
Vcs-Git: https://salsa.debian.org/ellert/gfal2.git
Homepage: https://dmc.web.cern.ch/projects/gfal-2/home

Package: gfal2
Architecture: all
Multi-Arch: foreign
Depends: libgfal2-2, libgfal-transfer2, ${misc:Depends}
Recommends: gfal2-plugin-file, gfal2-plugin-lfc, gfal2-plugin-rfio, gfal2-plugin-dcap, gfal2-plugin-srm, gfal2-plugin-gridftp, gfal2-plugin-http, gfal2-plugin-sftp
Description: Grid file access library 2.0
 GFAL 2.0 offers an a single and simple POSIX-like API for the file
 operations in grids and cloud environments. The set of supported
 protocols depends on the gfal2 installed plugins.

Package: libgfal2-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gfal2 (<< 2.10.2)
Breaks: gfal2 (<< 2.10.2)
Description: Core of the grid file access library 2.0
 The main library of gfal2. The gfal protocol support relies on a
 plugin system.

Package: libgfal-transfer2
Section: libs
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: File Transfer logic of gfal2
 gfal-transfer is the high level API for file transfer operations in
 gfal2. It supports third-party copy.

Package: libgfal2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), libgfal-transfer2 (= ${binary:Version}), libglib2.0-dev, libattr1-dev, ${misc:Depends}
Description: Development files of gfal2
 Development files for gfal2.

Package: gfal2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation for gfal2
 Documentation, doxygen and examples of gfal2.

Package: gfal2-plugin-file
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: libgfal2-2 (<< 2.8.4)
Breaks: libgfal2-2 (<< 2.8.4)
Description: Provides file support for gfal2
 Provides the file support (file://) for gfal2. The file plugin
 provides local file operations, as copying from local to remote or
 the other way around.

Package: gfal2-plugin-lfc
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), libgfal-transfer2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Provides lfc support for gfal2
 Provides the lfc support (lfn://) for gfal2. The LFC plugin allows
 read-only POSIX operations for the LFC catalog.

Package: gfal2-plugin-rfio
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), libdpm1, ${shlibs:Depends}, ${misc:Depends}
Description: Provides rfio support for gfal2
 Provides the rfio support (rfio://) for gfal2. The rfio plugin
 provides the POSIX operations for the rfio URLs, the rfio protocol is
 used on the DPM and on the Castor storage systems.

Package: gfal2-plugin-dcap
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), dcap-tunnel-gsi, ${shlibs:Depends}, ${misc:Depends}
Description: Provides dcap support for gfal2
 Provides the dcap support (gsidcap://, dcap://) for gfal2. The dcap
 plugin provides the POSIX operations for the dcap URLs, the dcap
 protocol is used on the DCACHE storage system.

Package: gfal2-plugin-srm
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), libgfal-transfer2 (= ${binary:Version}), libgfal-srm-ifce1 (>= 1.23.1), ${shlibs:Depends}, ${misc:Depends}
Description: Provides srm support for gfal2
 Provides the srm support (srm://) for gfal2. The srm plugin provides
 the POSIX operations and the third party transfer support on the SRM
 URLs.

Package: gfal2-plugin-gridftp
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), libgfal-transfer2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Provides the gridftp support for gfal2
 Provides the gridftp support (gsiftp://) for gfal2. The gridftp plugin
 provides the POSIX operations and the third party transfer support on
 the GSIFTP URLs.

Package: gfal2-plugin-http
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), libgfal-transfer2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Provides HTTP and DAV support for gfal2
 Provides the HTTP (http[s]://) and WebDAV (dav[s]://) support for
 gfal2. This plugin is able to do third-party copy with WebDAV if the
 storage supports it.

Package: gfal2-plugin-sftp
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), libgfal-transfer2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Provides sftp support for gfal2
 Provides the sftp (sftp://) support for gfal2.

Package: gfal2-plugin-mock
Architecture: any
Multi-Arch: same
Depends: libgfal2-2 (= ${binary:Version}), libgfal-transfer2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Provides a mock dummy protocol for gfal2
 Provides a dummy mock:// protocol for gfal2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

export CFLAGS CXXFLAGS LDFLAGS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	ln -fs /usr/src/gtest test/gtest
	dh_auto_configure -- -DSYSCONF_INSTALL_DIR:PATH=/etc \
	   -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
	   -DUNIT_TESTS=TRUE -DPLUGIN_XROOTD=FALSE -DPLUGIN_MOCK=TRUE

override_dh_auto_build:
	dh_auto_build -- all doc

override_dh_install:
	mkdir -p debian/gfal2-doc/usr/share/doc/gfal2-doc
	mv debian/tmp/usr/share/doc/gfal2/examples \
	   debian/tmp/usr/share/doc/gfal2/html \
	   debian/gfal2-doc/usr/share/doc/gfal2-doc
	rm -rf debian/tmp/usr/share/doc
	# Replace with a script for multi-arch
	printf '#!/bin/sh\necho ' > debian/tmp/usr/bin/gfal2_version.sh
	LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH):$${LD_LIBRARY_PATH} \
	   debian/tmp/usr/bin/gfal2_version >> \
	   debian/tmp/usr/bin/gfal2_version.sh
	mv debian/tmp/usr/bin/gfal2_version.sh \
	   debian/tmp/usr/bin/gfal2_version
	# Remove gtest
	rm -f debian/tmp/usr/lib/libgtest.a
	rm -f debian/tmp/usr/lib/libgtest_main.a
	rm -rf debian/tmp/usr/include/gtest
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='gfal2-dbg (<< 2.15.2)'

override_dh_auto_clean:
	rm -f test/gtest
	dh_auto_clean

override_dh_auto_test:
	objdir=`ls -d obj-*` ; \
	export GFAL_PLUGIN_DIR=$(CURDIR)/$${objdir}/plugins ; \
	export GFAL_CONFIG_DIR=$(CURDIR)/$${objdir}/test/conf_test ; \
	dh_auto_test -- "ARGS+=-V"

## gfal2 2.15.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  15)
-set (VERSION_PATCH  2)
+set (VERSION_PATCH  4)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

## gfal2 2.15.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  15)
-set (VERSION_PATCH  4)
+set (VERSION_PATCH  5)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== debian/changelog ===
gfal2 (2.15.5-1) unstable; urgency=medium

  * New upstream release
  * Drop patch gfal2-missing-include.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 28 May 2018 16:35:39 +0200

gfal2 (2.15.4-3) unstable; urgency=medium

  * Adjust Build-Depends due to googletest package split
  * Add missing include - fix implicit declaration warning

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 26 Apr 2018 14:41:14 +0200

gfal2 (2.15.4-2) unstable; urgency=medium

  * Use precompiled gtest library now that Debian provides a sane googletest
    package (Closes: #896454)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 24 Apr 2018 13:11:52 +0200

gfal2 (2.15.4-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 06 Apr 2018 18:34:52 +0200

gfal2 (2.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 03 Apr 2018 16:25:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: gfal2
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper (>= 9), cmake, doxygen, libglib2.0-dev, libattr1-dev, libldap2-dev, uuid-dev, zlib1g-dev, liblfc-dev, libdpm-dev, srm-ifce-dev (>= 1.23.1), dcap-dev, libglobus-gass-copy-dev, davix-dev (>= 0.4.2), libjson-c-dev, libssh2-1-dev, pkg-config, libgtest-dev
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 9), cmake, doxygen, libglib2.0-dev, libattr1-dev, libldap2-dev, uuid-dev, zlib1g-dev, liblfc-dev, libdpm-dev, srm-ifce-dev (>= 1.23.1), dcap-dev, libglobus-gass-copy-dev, davix-dev (>= 0.4.2), libjson-c-dev, libssh2-1-dev, pkg-config, libgtest-dev (>= 1.8.0-7)
+Standards-Version: 4.1.4
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2
 Vcs-Git: https://salsa.debian.org/ellert/gfal2.git

## gfal2 2.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,8 @@
 set (OUTPUT_NAME_TRANSFER "gfal_transfer")
 
 set (VERSION_MAJOR  2)
-set (VERSION_MINOR  15)
-set (VERSION_PATCH  5)
+set (VERSION_MINOR  16)
+set (VERSION_PATCH  1)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== debian/changelog ===
gfal2 (2.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 21 Nov 2018 14:16:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: gfal2
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper (>= 9), cmake, doxygen, libglib2.0-dev, libattr1-dev, libldap2-dev, uuid-dev, zlib1g-dev, liblfc-dev, libdpm-dev, srm-ifce-dev (>= 1.23.1), dcap-dev, libglobus-gass-copy-dev, davix-dev (>= 0.4.2), libjson-c-dev, libssh2-1-dev, pkg-config, libgtest-dev (>= 1.8.0-7)
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 9), cmake, doxygen, libglib2.0-dev, libattr1-dev, libldap2-dev, uuid-dev, zlib1g-dev, liblfc-dev, libdpm-dev, srm-ifce-dev (>= 1.23.1), dcap-dev, libglobus-gass-copy-dev, davix-dev (>= 0.6.8), libjson-c-dev, libssh2-1-dev, pkg-config, libgtest-dev (>= 1.8.0-7)
+Standards-Version: 4.2.1
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2
 Vcs-Git: https://salsa.debian.org/ellert/gfal2.git

## gfal2 2.16.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  16)
-set (VERSION_PATCH  1)
+set (VERSION_PATCH  2)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== test/functional/CMakeLists.txt ===
function (add_test_executable name source)
add_executable(${name} ${source})
install(TARGETS ${name}
        DESTINATION ${SHARE_INSTALL_PREFIX}/gfal2/tests)
endfunction(add_test_executable name)


if(FUNCTIONAL_TESTS)
    find_package(GTEST)

    include_directories(
        "${CMAKE_SOURCE_DIR}/src"
        "${CMAKE_SOURCE_DIR}/test"
        "${CMAKE_SOURCE_DIR}/src/posix/"
        "${GLIB2_INCLUDE_DIRS}"
        "${GTEST_INCLUDE_DIR}"
        "${JSONC_INCLUDE_DIRS}"
    )

    # Bring online tests
    add_test_executable(gfal_test_bringonline "gfal_test_bringonline.cpp")
    target_link_libraries(gfal_test_bringonline ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_bringonline name dir_path)
        add_test(gfal_test_bringonline_${name} gfal_test_bringonline ${dir_path})
    endfunction(test_bringonline name valid_file)

    # Checksum tests
    add_test_executable(gfal_test_checksum "gfal_test_checksum.cpp")
    target_link_libraries(gfal_test_checksum ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_checksum_simple name dir_path algo)
        add_test(gfal_checksum_simple_${name} gfal_test_checksum ${dir_path} ${algo})
    endfunction(test_checksum_simple name valid_file algo)

    # Stat tests
    add_test_executable(gfal_test_stat "gfal_test_stat.cpp")
    target_link_libraries(gfal_test_stat ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_stat_all name valid)
        add_test(gfal_stat_${name} gfal_test_stat ${valid})
    endfunction(test_stat_all valid)

    # Access test
    add_test_executable(gfal_test_access "gfal_test_access.cpp")
    target_link_libraries(gfal_test_access ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_access name dir_path)
        add_test(gfal_test_access_${name} gfal_test_access ${dir_path})
    endfunction(test_access name dir_path)

    # XAttr test
    add_test_executable(gfal_test_xattr "gfal_test_xattr.cpp")
    target_link_libraries(gfal_test_xattr ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_xattr name dir_path)
        add_test(gfal_test_xattr_${name} gfal_test_xattr ${dir_path} ${ARGV2})
    endfunction(test_xattr name dir_path)

    # Deletion tests
    add_test_executable(gfal_test_del "gfal_test_del.cpp")
    target_link_libraries(gfal_test_del ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_del name dir_path)
        add_test(gfal_test_del_${name} gfal_test_del ${dir_path})
    endfunction(test_del name path)

    # Rename tests
    add_test_executable(gfal_test_rename "gfal_test_rename.cpp")
    target_link_libraries(gfal_test_rename ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_rename name dir_path)
        add_test(gfal_test_rename_${name} gfal_test_rename ${dir_path})
    endfunction(test_rename name dir_path)

    # Chmod tests
    add_test_executable(gfal_test_chmod "gfal_test_chmod.cpp")
    target_link_libraries(gfal_test_chmod ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_chmod_all name valid right1 right2 right3 right4)
        add_test(gfal_test_right_change_${name} gfal_test_chmod ${valid} ${right1} ${right2} ${right3} ${right4})
    endfunction(test_chmod_all name valid right1 right2 right3 right4)

    # Rmdir tests
    add_test_executable(gfal_test_rmdir_full "gfal_test_rmdir_full.cpp")
    target_link_libraries(gfal_test_rmdir_full ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_rmdir_all name valid_dir)
        add_test(gfal_test_rmdir_full_${name} gfal_test_rmdir_full ${valid_dir})
    endfunction(test_rmdir_all name valid_dir)

    # Readdir tests
    add_test_executable(gfal_test_readdir_full "gfal_test_readdir_full.cpp")
    target_link_libraries(gfal_test_readdir_full ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_readdir_full name valid)
            add_test(gfal_test_readdir_full_${name} gfal_test_readdir_full ${valid})
    endfunction(test_readdir_full valid)

    # IO tests
    add_test_executable(gfal_test_rw_full "gfal_test_rw_full.cpp")
    target_link_libraries(gfal_test_rw_full ${GFAL2_LIBRARIES} gfal2_test_shared)

    add_test_executable(gfal_test_rw_seq "gfal_test_rw_seq.cpp")
    target_link_libraries(gfal_test_rw_seq ${GFAL2_LIBRARIES} gfal2_test_shared)

    add_test_executable(gfal_test_rw_seek "gfal_test_rw_seek.cpp")
    target_link_libraries(gfal_test_rw_seek ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_rwt_all name path size)
        add_test(gfal_rw_size_${name} gfal_test_rw_full ${path} ${size})
    endfunction(test_rwt_all name path size)

    function(test_rwt_seq name path size_read size)
        add_test(gfal_rw_seq_${name} gfal_test_rw_seq ${path} ${size_read} ${size})
    endfunction(test_rwt_seq name path size_read size)

    function(test_rwt_seek name path size_read size)
        add_test(gfal_rw_seek_${name} gfal_test_rw_seek ${path} ${size_read} ${size})
    endfunction(test_rwt_seek name path size)

    # Mkdir tests
    add_test_executable(gfal_test_mkdir_full "gfal_test_mkdir_full.cpp")
    target_link_libraries(gfal_test_mkdir_full ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_mkdir_all name prefix)
        add_test(gfal_mkdir_full_${name} gfal_test_mkdir_full ${prefix})
    endfunction(test_mkdir_all name prefix)

    # Register test
    add_test_executable(gfal_test_register "gfal_test_register.cpp")
    target_link_libraries(gfal_test_register ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(test_register name origin lfc)
        add_test(gfal_test_register_${name} gfal_test_register ${origin} ${lfc})
    endfunction(test_register name origin lfc)

    # Set credentials test
    add_test_executable(gfal_test_set_creds "gfal_test_set_creds.cpp")
    target_link_libraries(gfal_test_set_creds ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(gfal_test_set_credentials name prefix)
        add_test(gfal_test_set_credentials_${name} gfal_test_set_creds ${prefix})
    endfunction(gfal_test_set_credentials name prefix)

    # Posix test
    add_test_executable(gfal_test_posix "gfal_test_posix.cpp")
    target_link_libraries(gfal_test_posix ${GFAL2_LIBRARIES} gfal2_test_shared)

    function(gfal_test_posix name prefix)
        add_test(gfal_test_posix_${name} gfal_test_posix ${prefix})
    endfunction(gfal_test_posix name prefix)

    # Space test
    add_test_executable(gfal_test_space "gfal_test_space.cpp")
    target_link_libraries(gfal_test_space ${GFAL2_LIBRARIES} gfal2_test_shared)
    function(test_space name prefix)
        add_test(gfal_test_space_${name} gfal_test_space ${prefix})
    endfunction(test_space name prefix)

    # Tests for file transfer
    if(MAIN_TRANSFER)

		add_test_executable(gfalt_test_rd3_reorder_protocols "gfalt_test_rd3_reorder_protocols.cpp")
        target_link_libraries(gfalt_test_rd3_reorder_protocols ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)
        function(test_rd3_reorder_protocols name src_dir dst_dir)
            add_test(rd3_reorder_protocols_${name} gfalt_test_rd3_reorder_protocols ${src_dir} ${dst_dir})
        endfunction(test_rd3_reorder_protocols name dst_dir)

        add_test_executable(gfalt_test_copy_file_cancel "gfalt_test_copy_file_cancel.cpp")
        target_link_libraries(gfalt_test_copy_file_cancel ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} pthread)

        add_test_executable(gfalt_test_copy_file "gfalt_test_copy_file.cpp")
        target_link_libraries(gfalt_test_copy_file ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)

        add_test_executable(gfalt_test_copy_file_timeout "gfalt_test_copy_file_timeout.cpp")
        target_link_libraries(gfalt_test_copy_file_timeout ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)

        add_test_executable(gfalt_test_copy_file_mkdir "gfalt_test_copy_file_mkdir.cpp")
        target_link_libraries(gfalt_test_copy_file_mkdir ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)

        add_test_executable(gfalt_test_copy_file_replace "gfalt_test_copy_file_replace.cpp")
        target_link_libraries(gfalt_test_copy_file_replace ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)

        add_test_executable(gfalt_test_copy_file_checksum "gfalt_test_copy_file_checksum.cpp")
        target_link_libraries(gfalt_test_copy_file_checksum ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)

        add_test_executable(gfalt_test_copy_file_checksum_user "gfalt_test_copy_file_checksum_user.cpp")
        target_link_libraries(gfalt_test_copy_file_checksum_user ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)

        add_test_executable(gfalt_test_copy_bulk "gfalt_test_copy_bulk.cpp")
        target_link_libraries(gfalt_test_copy_bulk ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)

        add_test_executable(gfalt_test_pasv "gfalt_test_pasv.cpp")
        target_link_libraries(gfalt_test_pasv ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)

        function(test_copy_file_full name src_dir dst_dir)
            add_test(copyfile_checksum_${name} gfalt_test_copy_file_checksum ${src_dir} ${dst_dir})
            add_test(copyfile_checksum_user_${name} gfalt_test_copy_file_checksum_user ${src_dir} ${dst_dir})
            add_test(copyfile_replace_${name} gfalt_test_copy_file_replace ${src_dir} ${dst_dir})
            add_test(copyfile_test_${name} gfalt_test_copy_file ${src_dir} ${dst_dir})
            add_test(copyfile_test_mkdir_${name} gfalt_test_copy_file_mkdir ${src_dir} ${dst_dir})
        endfunction(test_copy_file_full name dst_dir)

        function (test_copy_bulk name src_dir dst_dir)
            add_test(copyfile_bulk_${name} gfalt_test_copy_bulk ${src_dir} ${dst_dir})
        endfunction (test_copy_bulk name src_dir dst_dir)

        function(test_copy_file_no_checksum name src_dir dst_dir)
            add_test(copyfile_replace_${name} gfalt_test_copy_file_replace ${src_dir} ${dst_dir})
            add_test(copyfile_test_${name} gfalt_test_copy_file ${src_dir} ${dst_dir})
            add_test(copyfile_test_mkdir_${name} gfalt_test_copy_file_mkdir ${src_dir} ${dst_dir})
        endfunction(test_copy_file_no_checksum name src_dir dst_dir)

        function(test_pasv name src_dir dst_dir)
            add_test(gfalt_test_pasv_${name} gfalt_test_pasv ${src_dir} ${dst_dir})
        endfunction(test_pasv name src_dir dst_dir)

        add_test_executable(gfalt_test_double_cred "gfalt_test_double_cred.cpp")
        target_link_libraries(gfalt_test_double_cred ${GFAL2_TRANSFER_LINK} ${GFAL2_LIBRARIES} gfal2_test_shared)

        function(test_double_cred name src_dir dst_dir)
            add_test(gfalt_test_double_cred_${name} gfalt_test_double_cred ${src_dir} ${dst_dir})
        endfunction(test_double_cred name src_dir dst_dir)

    endif(MAIN_TRANSFER)

    include(functional-test-parameters.cmake)

    include(functional-test-parameters.cmake)

    # Install ctest file
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/CTestTestfile.cmake
            DESTINATION ${SHARE_INSTALL_PREFIX}/gfal2/tests)

endif(FUNCTIONAL_TESTS)

=== src/plugins/http/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)


if (PLUGIN_HTTP)
    include     (CheckLibraryExists)

    find_package(Davix REQUIRED)

    # Includes
    include_directories (${CMAKE_CURRENT_BINARY_DIR})
    include_directories(${DAVIX_INCLUDE_DIR})

    # definitions
    add_definitions (${DAVIX_CFLAGS})

    # Build plugin
    file (GLOB src_http "gfal_http_*.cpp")
    add_library (plugin_http MODULE ${src_http})

    target_link_libraries(plugin_http gfal2
          gfal2_transfer
          ${DAVIX_LIBRARIES}
    )

    set_target_properties(plugin_http   PROPERTIES  CLEAN_DIRECT_OUTPUT 1
                                        OUTPUT_NAME "gfal_plugin_http"
                                        LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    # Install
    install(TARGETS plugin_http
            LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})
    install(FILES "README_PLUGIN_HTTP"
            DESTINATION ${DOC_INSTALL_DIR})    

    # install http configuration files
    LIST(APPEND http_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/http_plugin.conf")
    install(FILES ${http_conf_file}
                        DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

endif (PLUGIN_HTTP)

=== debian/changelog ===
gfal2 (2.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 23 Feb 2019 09:56:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper (>= 9), cmake, doxygen, libglib2.0-dev, libattr1-dev, libldap2-dev, uuid-dev, zlib1g-dev, liblfc-dev, libdpm-dev, srm-ifce-dev (>= 1.23.1), dcap-dev, libglobus-gass-copy-dev, davix-dev (>= 0.6.8), libjson-c-dev, libssh2-1-dev, pkg-config, libgtest-dev (>= 1.8.0-7)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2
 Vcs-Git: https://salsa.debian.org/ellert/gfal2.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	ln -fs /usr/src/gtest test/gtest
 	dh_auto_configure -- -DSYSCONF_INSTALL_DIR:PATH=/etc \
 	   -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
 	   -DUNIT_TESTS=TRUE -DPLUGIN_XROOTD=FALSE -DPLUGIN_MOCK=TRUE
@@ -35,10 +34,6 @@
 	   debian/tmp/usr/bin/gfal2_version.sh
 	mv debian/tmp/usr/bin/gfal2_version.sh \
 	   debian/tmp/usr/bin/gfal2_version
-	# Remove gtest
-	rm -f debian/tmp/usr/lib/libgtest.a
-	rm -f debian/tmp/usr/lib/libgtest_main.a
-	rm -rf debian/tmp/usr/include/gtest
 	dh_install
 
 override_dh_missing:
@@ -47,10 +42,6 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='gfal2-dbg (<< 2.15.2)'
 
-override_dh_auto_clean:
-	rm -f test/gtest
-	dh_auto_clean
-
 override_dh_auto_test:
 	objdir=`ls -d obj-*` ; \
 	export GFAL_PLUGIN_DIR=$(CURDIR)/$${objdir}/plugins ; \

## gfal2 2.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,8 @@
 set (OUTPUT_NAME_TRANSFER "gfal_transfer")
 
 set (VERSION_MAJOR  2)
-set (VERSION_MINOR  16)
-set (VERSION_PATCH  2)
+set (VERSION_MINOR  17)
+set (VERSION_PATCH  0)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== debian/changelog ===
gfal2 (2.17.0-1) unstable; urgency=medium

  * New upstream release 2.17.0
  * Drop LFC and RFIO plugins - dependencies are no longer maintained and
    will soon be removed from Debian.

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 23 Oct 2019 14:56:39 +0200

gfal2 (2.16.4-1) unstable; urgency=medium

  * New upstream release
  * Change to debhelper compat level 10

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 30 Sep 2019 08:49:03 +0200

## gfal2 2.17.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  17)
-set (VERSION_PATCH  0)
+set (VERSION_PATCH  1)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== src/version/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

add_executable (gfal2_version gfal_version)
target_link_libraries (gfal2_version "gfal2")

install (TARGETS gfal2_version
         RUNTIME DESTINATION ${BIN_INSTALL_DIR})

=== src/plugins/mock/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)


if (PLUGIN_MOCK)
    file (GLOB src_file "*.c*")

    add_library (plugin_mock MODULE ${src_file})
    target_link_libraries (plugin_mock gfal2 gfal2_transfer uuid)


    set_target_properties(plugin_mock   PROPERTIES
                                LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/src
								CLEAN_DIRECT_OUTPUT 1
								OUTPUT_NAME "gfal_plugin_mock"
								LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    install(TARGETS		plugin_mock
	        LIBRARY		DESTINATION ${PLUGIN_INSTALL_DIR})
	    
    install(FILES		"README_PLUGIN_MOCK"
                DESTINATION ${DOC_INSTALL_DIR})

    # install mock configuration files
    LIST(APPEND mock_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/mock_plugin.conf")
    install(FILES ${mock_conf_file}
                        DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

endif (PLUGIN_MOCK)

=== debian/changelog ===
gfal2 (2.17.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:04:14 +0100

gfal2 (2.17.1-1) unstable; urgency=medium

  * New upstream release 2.17.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 17 Dec 2019 16:44:55 +0100

=== debian/control ===
Source: gfal2
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 10),
 cmake,
 doxygen,
 libglib2.0-dev,
 libattr1-dev,
 libldap2-dev,
 uuid-dev,
 zlib1g-dev,
 srm-ifce-dev (>= 1.23.1),
 dcap-dev,
 libglobus-gass-copy-dev,
 davix-dev (>= 0.6.8),
 libjson-c-dev,
 libssh2-1-dev,
 pkg-config,
 libgtest-dev (>= 1.8.0-7)
Standards-Version: 4.4.1
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/gfal2
Vcs-Git: https://salsa.debian.org/ellert/gfal2.git
Homepage: https://dmc.web.cern.ch/projects/gfal-2/home

Package: gfal2
Architecture: all
Multi-Arch: foreign
Depends:
 libgfal2-2,
 libgfal-transfer2,
 ${misc:Depends}
Recommends:
 gfal2-plugin-file,
 gfal2-plugin-dcap,
 gfal2-plugin-srm,
 gfal2-plugin-gridftp,
 gfal2-plugin-http,
 gfal2-plugin-sftp
Description: Grid file access library 2.0
 GFAL 2.0 offers an a single and simple POSIX-like API for the file
 operations in grids and cloud environments. The set of supported
 protocols depends on the gfal2 installed plugins.

Package: libgfal2-2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces:
 gfal2 (<< 2.10.2)
Breaks:
 gfal2 (<< 2.10.2)
Description: Core of the grid file access library 2.0
 The main library of gfal2. The gfal protocol support relies on a
 plugin system.

Package: libgfal-transfer2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: File Transfer logic of gfal2
 gfal-transfer is the high level API for file transfer operations in
 gfal2. It supports third-party copy.

Package: libgfal2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 libglib2.0-dev,
 libattr1-dev,
 ${misc:Depends}
Description: Development files of gfal2
 Development files for gfal2.

Package: gfal2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Documentation for gfal2
 Documentation, doxygen and examples of gfal2.

Package: gfal2-plugin-file
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Replaces:
 libgfal2-2 (<< 2.8.4)
Breaks:
 libgfal2-2 (<< 2.8.4)
Description: Provides file support for gfal2
 Provides the file support (file://) for gfal2. The file plugin
 provides local file operations, as copying from local to remote or
 the other way around.

Package: gfal2-plugin-dcap
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 dcap-tunnel-gsi,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides dcap support for gfal2
 Provides the dcap support (gsidcap://, dcap://) for gfal2. The dcap
 plugin provides the POSIX operations for the dcap URLs, the dcap
 protocol is used on the DCACHE storage system.

Package: gfal2-plugin-srm
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 libgfal-srm-ifce1 (>= 1.23.1),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides srm support for gfal2
 Provides the srm support (srm://) for gfal2. The srm plugin provides
 the POSIX operations and the third party transfer support on the SRM
 URLs.

Package: gfal2-plugin-gridftp
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides the gridftp support for gfal2
 Provides the gridftp support (gsiftp://) for gfal2. The gridftp plugin
 provides the POSIX operations and the third party transfer support on
 the GSIFTP URLs.

Package: gfal2-plugin-http
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides HTTP and DAV support for gfal2
 Provides the HTTP (http[s]://) and WebDAV (dav[s]://) support for
 gfal2. This plugin is able to do third-party copy with WebDAV if the
 storage supports it.

Package: gfal2-plugin-sftp
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides sftp support for gfal2
 Provides the sftp (sftp://) support for gfal2.

Package: gfal2-plugin-mock
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides a mock dummy protocol for gfal2
 Provides a dummy mock:// protocol for gfal2.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
--include /usr/share/dpkg/buildflags.mk
-
-CFLAGS += $(CPPFLAGS)
-CXXFLAGS += $(CPPFLAGS)
-
-export CFLAGS CXXFLAGS LDFLAGS
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $@
@@ -16,12 +7,14 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DSYSCONF_INSTALL_DIR:PATH=/etc \
 	   -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
-	   -DUNIT_TESTS=TRUE -DPLUGIN_XROOTD=FALSE -DPLUGIN_MOCK=TRUE
+	   -DUNIT_TESTS=TRUE -DPLUGIN_XROOTD=FALSE -DPLUGIN_MOCK=TRUE \
+	   -DPLUGIN_LFC=FALSE -DPLUGIN_RFIO=FALSE
 
 override_dh_auto_build:
 	dh_auto_build -- all doc
 
-override_dh_install:
+override_dh_auto_install:
+	dh_auto_install
 	mkdir -p debian/gfal2-doc/usr/share/doc/gfal2-doc
 	mv debian/tmp/usr/share/doc/gfal2/examples \
 	   debian/tmp/usr/share/doc/gfal2/html \
@@ -34,7 +27,6 @@
 	   debian/tmp/usr/bin/gfal2_version.sh
 	mv debian/tmp/usr/bin/gfal2_version.sh \
 	   debian/tmp/usr/bin/gfal2_version
-	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing

## gfal2 2.17.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  17)
-set (VERSION_PATCH  1)
+set (VERSION_PATCH  2)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

## gfal2 2.17.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  17)
-set (VERSION_PATCH  2)
+set (VERSION_PATCH  3)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")
